var scrollTopRekidai = 0;
/**
 * 歴代記録ダイアログ設定
 */
function RekidaiDialogInitialize () {

  angular.element("#RekidaiDialog").dialog({
    autoOpen      : false,
    modal         : true,
    closeOnEscape : false,
    resizable     : false,
    draggable     : false,
    width         : 380,
    height        : 300,
    show          : "blind",
    hide          : 300,
    height        : "auto",
    title         : "歴代記録",
    buttons       : {
      "閉じる": function () {
        angular.element(this).dialog("close");
      }
    },
    open          : function () {
      $('#RekidaiDialog').scrollTop(0);
      angular.element("body").css('overflow', 'hidden');
      scrollTopRekidai = $(window).scrollTop();
      $('html').css({'position':'fixed','top':-scrollTopRekidai});
    },
    close         : function () {
      angular.element("body").css('overflow', '');
      $('html').css({'position':'static','top':'0'});
      $('html,body').scrollTop(scrollTopRekidai);
    }
  });

};

/**
 * 歴代記録ダイアログ表示
 */
function RekidaiDialogShow () {

  angular.element("#RekidaiDialog").dialog("open");

};
